%define upstream_name	 Algorithm-C3
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:	A module for merging hierarchies using the C3 algorithm

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Carp) >= 0.01
BuildRequires:  perl(Module::Build)
BuildRequires:	perl(Test::More) >= 0.47
BuildArch:	noarch

%description
This module implements the C3 algorithm. Most of the uses for C3
revolve around class building and metamodels, but it could also be
used for things like dependency resolution as well since it tends to
do such a nice job of preserving local precendence orderings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=%{buildroot}
%make

%check
%make test

%install
%makeinstall_std

%clean 

%files
%doc Changes README
%{perl_vendorlib}/Algorithm
%{_mandir}/man*/*

%changelog
* Tue Oct 21 2014 dsilakov <denis.silakov@rosalab.ru> 0.100.0-1
+ Revision: 5452fad
- Merge pull request #2 from import/perl-Algorithm-C3:auto_update
- Updated to 0.10 (by updates_builder)


